﻿namespace Quantum.TrueRandom
{
    open Microsoft.Quantum.Intrinsic;
    open Microsoft.Quantum.Canon;
    
    operation Superposition () : Result {
         using(q = Qubit()){
		   H(q); 
		   let r = M(q); 
		   Reset(q);
		   return r;
	   }
    }
}
